Subject: Re: Big Problem about keyboard/mapping
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 14 Feb 2003 09:21:07 -0500

On Fri, Feb 14, 2003 at 04:14:25PM +0200, [email-masked] wrote:
>no you don't understanded my question, read all before starting redirect.
>look my main question!
>
>--------
>MAIN QUESTION:
>Last choice is modifying cygwin itself keymap to layout FI. So how i
>change that on cygwin CONSOLE?
>--------
>
>sorry but i did not asken anything about X. i only writted like faq says
>(to write all to give much information as possible)

You're asking me to accept your premise that xmodmap doesn't help.
Sorry, but I don't believe you.

AFAICT, you have an X-based problem here.  Use the cygwin-xfree mailing
list for help.

As far as Cygwin is concerned, there is no "mapping" performed by cygwin.
It uses whatever Windows offers.  The code in fhandler_console.cc controls
how some keystrokes are handled but I doubt that is what you want.  You
want to use X mechanisms to solve your problem.

>> Go back to http://cygwin.com/lists.html and you'll see a specific
>> mailing list for Cygwin/XFree86 questions.
>>
>> I am redirecting this message there.
>>
>> On Fri, Feb 14, 2003 at 11:57:04AM +0200, [email-masked] wrote:
>>>ok. lets start by the system specs:
>>>i have here on my work several server, but now im talking about clients
>>> and one server.
>>>
>>>Computer1(clients): Cygwin newest version. running under windows2000
>>> Computer2(servers): HP-UX 10.20 i gues is that version. but anyway
>>> HP-UX witch X
>>>
>>>So i need to make keyboard to work on hp-ux via x instance.. (this
>>> charters ???) cygwin as Xserver..
>>>
>>>i have tryied all by xmodmap but that not helps.
>>>MAIN QUESTION:
>>>Last choice is modifying cygwin itself keymap to layout FI. So how i
>>> change that on cygwin CONSOLE? also needed know the mapping sources to
>>> modifying if nessesury. i have already readed faqs and documents :) i
>>> have tryied to make keyboards working one week on X. (and worked but
>>> none on dtterm)
>>>
>>>We will use cygwin on future becouse it's free, now we use exceed and
>>> that is very expencive to our company witch lot of licensess.
>>>
>>>so i give many thanks for reading this and helping. im sorry about my
>>> english too (it's not good)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/